// Copyright (c) 2014 Dawn Robotics Ltd

// This program shows how to read from the encoders on the Rover 5. Encoders can be used
// to measure, and therefore regulate, the speed of a motor. Read more about encoders at
// http://www.societyofrobots.com/sensors_encoder.shtml
// Try to modify the program to get the motors to go at a set speed.

#include "Encoder.h"

const int LEFT_DIR_PIN = 12;
const int LEFT_PWM_PIN = 11;
const int LEFT_ENCODER_FIRST_PIN = 3;
const int LEFT_ENCODER_SECOND_PIN = 5;

Encoder gEncoder( LEFT_ENCODER_FIRST_PIN, LEFT_ENCODER_SECOND_PIN );

void setup()
{
    // Set all of the motor pins as outputs
    pinMode( LEFT_DIR_PIN, OUTPUT );
    pinMode( LEFT_PWM_PIN, OUTPUT );
    
    // Open up a serial connection to send readings back
    Serial.begin( 9600 );
    
    // Start the motor driving forwards slowly
    digitalWrite( LEFT_DIR_PIN, LOW );
    analogWrite( LEFT_PWM_PIN, 128 );    
}

void loop()
{
    int encoderValue = gEncoder.read();
    
    Serial.print( "Encoder = " );
    Serial.println( encoderValue );
    
    delay( 100 );
}
