// Copyright (c) 2014 Dawn Robotics Ltd

// This demo shows how to move the neck servo motors to different angles.
// You can find out more about servo motors at http://www.societyofrobots.com/actuators_servos.shtml
// You can find out more about the Arduino Servo library at http://arduino.cc/en/reference/servo

#include <Servo.h>    // Include the header file for the Arduino Servo library

const int PAN_SERVO_PIN = 9;
const int TILT_SERVO_PIN = 10;

Servo gPanServo;
Servo gTiltServo;

void setup()
{
    // Connect the servo objects to the correct pins
    gPanServo.attach( PAN_SERVO_PIN );
    gTiltServo.attach( TILT_SERVO_PIN );
}

void loop()
{
    // Choose new angles at random for the pan and tile servos
    int panAngle = random( 0, 180 + 1 );    // Generates an angle in the range 0 to 180 inclusive
    int tiltAngle = random( 0, 180 + 1 );
    
    gPanServo.write( panAngle );
    gTiltServo.write( tiltAngle );
    
    delay( 3000 );    // Wait 3 seconds (3000 milliseconds) before generating the next angles 
}
